# Package products OneStartup

  **onestartup/product_resources** is a module product for websites

# Installation

- Run this in the terminal

```php
composer require onestartup/product_resources
```

- after add the ServiceProvider to the providers array in config/app.php

```php
Onestartup\ProductResource\ProductResourceServiceProvider::class
```

- Run migration

```php
php artisan migrate
```

- add next lines to app/User.php

```php
public function productsResource()
{
    return $this->hasMany('Onestartup\Product\Model\ProductResource', 'user_id');
}
```

- run command for publish views

```php
php artisan vendor:publish --provider="Onestartup\ProductResource\ProductResourceServiceProvider"
```

- run command for publish config file

```php
php artisan vendor:publish --tag=config 
```

- run serv

```php
php artisan serve
```

- test in this route how admin user

```php
http://localhost:8000/admin/product_resources/products
```

- test in this route 

```php
http://localhost:8000/portafolio
```