<?php

namespace Onestartup\ProductResource\Model;

use Illuminate\Database\Eloquent\Model;

class ProductResourceResource extends Model
{
    protected $table = 'product_resource_resources';
    protected $fillable = [
        'name',
    	'path',
		'description',
        'type',
		'product_id'
    ];

    public function product()
    {
        return $this->belongsTo('Onestartup\ProductResource\Model\ProductResource', 'product_id');
    }
}
